defmodule PrymnWeb.ServerController do
  use PrymnWeb, :controller

  alias Prymn.Servers

  @doc """
  Used by clients to request a new server connection to the prymn backend
  validating their registration token.
  """
  def register(conn, %{"token" => token, "ip" => ip}) do
    case Servers.register_server(token, ip) do
      {:ok, _server} ->
        json(conn, %{"connected" => true})

      {:error, error} ->
        raise inspect(error)
    end
  end
end
